URL structure
{orgGroupId} is the ID of an organisation.
Supported methods and overview
GET- retrieves information about an organisation (specified byorgGroupId) configured on the Covata Platform.PUT- updates one or more organisation-specific properties for an organisation (specified byorgGroupId), which can also be set through the Configuration page of Organisation Administration and the Organisations page of SafeShare Administration.
The
GET method takes no parameters.Detailed description
This API endpoint serves a number of purposes:-
Retrieves information about an organisation (specified by
orgGroupId) configured on the Covata Platform - available to Covata users who are members of this organisation (except users with the Ad hoc role). -
Updates one or more organisation-specific properties for an organisation (specified by
orgGroupId). These properties can also be set through:- The Configuration page of Organisation Administration by an Organisation administrator of this organisation.
- The Organisations page of SafeShare Administration by a SafeShare administrator.
Supported roles and conditions
This API endpoint supports requests utilising Covata user accounts with the following roles (as described in the SafeShare Administrator’s and Organisation Administrator’s Guides):-
Originator, Collaborator, Organisation administrator - using the
GETmethod, when this user is a member of the organisation whose ID is specified by{orgGroupId}in the request’s URL. -
Organisation administrator - using the
PUTmethod, when this user is a member of the organisation whose ID is specified by{orgGroupId}in the URL. Such a user can set any of these parameters:- adminEmail, addressbookEnabled, description, contactEmail, watermarkingEnabled, i18nDefaultAsString, enforceMfa,
- supportUrl, companyName, legalUrl, webappHelpUrl, orgAdminHelpUrl, privacyUrl and userMessage.
-
SafeShare administrator - using the
PUTmethod. Such a user can set the name and/or quota parameters.
Required headers
The appropriate access token as theBearer token:
Authorisation: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Content-Type: application/json
PUT-request parameters
At least one of the following parameters must be sent in the body of the PUT request, each as individual members of a JSON object:-
For Organisation administrators who are a members of the organisation specified by
orgGroupId:- adminEmail - The email address of the Organisation Admin Email property (accessible through the Configuration page of Organisation Administration). If this value is
nullor an empty string, then the Admin Email property value (accessible through the System Details section of the Configuration page of SafeShare Administration) is used as the fallback. - addressbookEnabled - A boolean value determining if the Is the address book feature enabled? property (accessible through the Configuration page of Organisation Administration) is
true(i.e. enabled) orfalse. - description - The value of the A brief description of the organisation property (accessible through the Configuration page of Organisation Administration).
- contactEmail - The value of The email address of the organisation’s contact person property (accessible through the Configuration page of Organisation Administration and for the benefit of SafeShare administrators), which appears in the Contact Person column on the Organisations page of SafeShare Administration.
- watermarkingEnabled - A boolean value determining if the Is watermarking of viewed files enabled? property (accessible through the Configuration page of Organisation Administration) is
true(i.e. enabled) orfalse. - i18nDefaultAsString - The I18n Code of the Default i18n setting for new users and email notifications property (accessible through the Configuration page of Organisation Administration). Valid I18n Code values can be found on the Internationalisation page of SafeShare Administration.
- enforceMfa - A boolean value determining if the Enforce two-factor authentication for organisation members property (accessible through the Configuration page of Organisation Administration) is
true(i.e. enabled) orfalse. - supportUrl - The URL value of the Support URL property (accessible through the Configuration page of Organisation Administration). If this value is
nullor an empty string, then the Support URL property value (accessible through the System Details section of the Configuration page of SafeShare Administration) is used as the fallback. - companyName - The Company Name property value (accessible through the Configuration page of Organisation Administration). If this value is
nullor an empty string, then the Company Name property value (accessible through the System Details section of the Configuration page of SafeShare Administration) is used as the fallback. - legalUrl - The URL value of the Legal URL property (accessible through the Configuration page of Organisation Administration). If this value is
nullor an empty string, then the Legal URL property value (accessible through the System Details section of the Configuration page of SafeShare Administration) is used as the fallback. - webappHelpUrl - The URL value of the Web Application Help URL property (accessible through the Configuration page of Organisation Administration). If this value is
nullor an empty string, then the Web Application Help URL property value (accessible through the System Details section of the Configuration page of SafeShare Administration) is used as the fallback. - orgAdminHelpUrl - The URL value of the Organisation Administration Help URL property (accessible through the Configuration page of Organisation Administration). If this value is
nullor an empty string, then the Organisation Administration Help URL property value (accessible through the System Details section of the Configuration page of SafeShare Administration) is used as the fallback. - privacyUrl - The value of The URL of the privacy statement property (accessible through the Configuration page of Organisation Administration). If this value is
nullor an empty string, then The URL of the privacy statement property value (accessible through the System Details section of the Configuration page of SafeShare Administration) is used as the fallback. - userMessage - The value of the Custom message to appear on the ‘Share’ dialog box property (accessible through the Configuration page of Organisation Administration).
- timeZone - The selected timezone would be used to translate dates into for the organisation.
nullvalues in responses to this endpoint. However, once a property’s value is cleared, it is subsequently returned with empty string values (in responses to this endpoint). - adminEmail - The email address of the Organisation Admin Email property (accessible through the Configuration page of Organisation Administration). If this value is
-
For SafeShare administrators only:
- name - The name of the organisation.
- quota - The organisation’s quota (in mebibytes).
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
For successful requests only, a JSON-formatted response containing the following members is also returned:
- id - The ID of the organisation.
- name - The name of the organisation as specified by a SafeShare administrator.
- description - .
- bytesUploaded - .
- contactEmail - .
- quota - .
- newAccountBaseItem - .
- addressbookEnabled - .
- watermarkingEnabled - .
- mfaEnabled - .
- i18nDefault - .
- adminEmail - .
- organisationAlias - .
- userMessage - .
- supportUrl - .
- companyName - .
- legalUrl - .
- webappHelpUrl - .
- orgAdminHelpUrl - .
- privacyUrl - .
- modifiedAt - .
- createdAt - .
-
timeZone - .
Example (response from either a GET or PUT request):

